local tmp = [[


*******************************************************************
*                                                                 *
*                The Plague v2.0: a Zombie Virus                  *
*                                                                 *
*                 Script created by Elwaywitvac                   *
*                                                                 *
*   Usage:  When a player/NPC gets killed by a zombie, a zombie   *
*     is spawned where they once stood.  Headcrabs can also be    *
*     carriers.                                                   *
*                                                                 *
*   Console Commands:                                             *
*      plague_active    [0/1]  -  Activate plague  (currently x)  *
*      plague_headcrabs [0/1]  -  Headcrab Carries (currently x)  *
*      plague_notify    [0/1]  -  Player told when plague changes *
*                                                  (currently x)  *
*      plague_particles [0/1]  -  Particles active (currently x)  *
*                                                                 *
*      plague_npcsleep [x]     -  How long before zombie spawns   *
*                                            (currently x)  
*                                                                 *
*      plague_type [string]    -  Which zombie spawns             *
*                                            (currently x)        *
*      plague_access [string]  -  Who can modify plage settings   *
*                                            (currently x)        *
*                                                                 *
*      plague_color [0-255] [0-255] [0-255]:                      *
*         Sets the color of spawn cloud, (currently x x x)        *
*      plague_prob [x] [x] [x]:                                   *
*         Sets chance of each type spawned, (currently x x x)     *
*                                                                 *
*                                                                 *
*      plague_sent_activetoggle [0/1] -  Can SENT activate plague *
*                                                  (currently x)  *
*      plague_sent_antivirus    [0/1] -  Can SENT use antivirus   *
*                                                  (currently x)  *
*      plague_sent_health       [0/1] -  SENT's health            *
*                                                  (currently x)  *
*                                                                 *
*      plague_msg_on           -  Set message for notify          *
*      plague_msg_off          -  Set message for notify          *
*      plague_msg_anti         -  Set message for notify          *
*                                                                 *
*      plague_antivirus        -  Use antivirus                   *
*      plague_save [path]      -  saves current values            *
*      plague_load [path]      -  load from file                  *
*      plague_info             -  This printout                   *
*                                                                 *
*                                                                 *
*      SENT allows controls without console access, it is pretty  *
*      much self explanitory.  Use toggles active or not and if   *
*      a player damages it enough it uses the antivirus           *
*                                                                 *
*******************************************************************


]]


function printInfo(ply, cmd, args)
	msg = { "\n\n" ,
			"*******************************************************************\n" ,
			"*                                                                 *\n" ,
			"*                The Plague v2.0: a Zombie Virus                  *\n" ,
			"*                                                                 *\n" ,
			"*                 Script created by Elwaywitvac                   *\n" ,
			"*                                                                 *\n" ,
			"*   Usage:  When a player/NPC gets killed by a zombie, a zombie   *\n" ,
			"*     is spawned where they once stood.  Headcrabs can also be    *\n" ,
			"*     carriers.                                                   *\n" ,
			"*                                                                 *\n" ,
			"*   Console Commands:                                             *\n" ,
			"*      plague_active    [0/1]  -  Activate plague  (currently " .. GetGlobalInt("plague_active") .. ")  *\n" ,
			"*      plague_headcrabs [0/1]  -  Headcrab Carries (currently " .. GetGlobalInt("plague_headcrabs") .. ")  *\n" ,
			"*      plague_notify    [0/1]  -  Player told when plague changes *\n" ,
			"*                                                  (currently " .. GetGlobalInt("plague_notify") .. ")  *\n" ,
			"*      plague_particles [0/1]  -  Particles active (currently " .. GetGlobalInt("plague_particles") .. ")  *\n" ,
			"*                                                                 *\n" ,
			"*      plague_npcsleep [x]     -  How long before zombie spawns   *\n" ,
			"*                                            (currently " .. GetConVarString("pvar_npcsleep") .. ") \n" ,  
			"*                                                                 *\n" ,
			"*      plague_type [string]    -  Which zombie spawns             *\n" ,
			"*                                            (currently " .. GetGlobalString("plague_type") .. ") \n" ,
			"*      plague_access [string]  -  Who can modify plage settings   *\n" ,
			"*                                            (currently " .. GetGlobalString("plague_access") .. ") \n" ,
			"*                                                                 *\n",
			"*      plague_color [0-255] [0-255] [0-255]:                      *\n",
			"*           Sets the color of spawn cloud, (currently " .. GetConVarString("pvar_r") .. " " .. GetConVarString("pvar_g") .. " " .. GetConVarString("pvar_b") .. ")\n",
			"*      plague_prob [x] [x] [x]:                                   *\n",
			"*           Sets chance of each type spawned, (currently " .. GetConVarString("pvar_pln") .. " " .. GetConVarString("pvar_fst") .. " " .. GetConVarString("pvar_pzn") .. ")\n",
			"*                                                                 *\n" ,
			"*      plague_sent_activetoggle [0/1] -  Can SENT activate plague *\n" ,
			"*                                                  (currently " .. GetGlobalInt("plague_sent_activetoggle") .. ")  *\n" ,
			"*      plague_sent_antivirus    [0/1] -  Can SENT use antivirus   *\n" ,
			"*                                                  (currently " .. GetGlobalInt("plague_sent_antivirus") .. ")  *\n" ,
			"*      plague_sent_health       [0/1] -  SENT's health            *\n" ,
			"*                                                  (currently " .. GetConVarString("pvar_sent_health") .. ") \n" ,
			"*                                                                 *\n" ,
			"*      plague_msg_on           -  Set message for notify          *\n" ,
			"*      plague_msg_off          -  Set message for notify          *\n" ,
			"*      plague_msg_anti         -  Set message for notify          *\n" ,
			"*                                                                 *\n" ,
			"*      plague_antivirus        -  Use antivirus                   *\n" ,
			"*      plague_save [path]      -  saves current values            *\n" ,
			"*      plague_load [path]      -  load from file                  *\n" ,
			"*      plague_info             -  This printout                   *\n" ,
			"*                                                                 *\n" ,
			"*                                                                 *\n" ,
			"*      SENT allows controls without console access, it is pretty  *\n" ,
			"*      much self explanitory.  Use toggles active or not and if   *\n" ,
			"*      a player damages it enough it uses the antivirus           *\n" ,
			"*                                                                 *\n" ,
			"*******************************************************************\n" }
			
	for k, m in pairs(msg) do
		ply:PrintMessage(HUD_PRINTCONSOLE, (m .. ""))
	end
end

concommand.Add("plague_info",		printInfo)