
function EFFECT:Init(data)
	local emitter = ParticleEmitter(data:GetOrigin())
	
	for i=1,30 do
		local particle = emitter:Add("particles/smokey", data:GetOrigin() + Vector(0,0,math.random(0,50)))
		particle:SetVelocity(Vector(math.random(-10,10),math.random(-10,10), math.random(0, 30)))
		particle:SetDieTime(math.Rand(3, 4))
		particle:SetStartAlpha(150)
		particle:SetStartSize(math.random(10, 25))
		particle:SetEndSize(math.random(25, 30))
		
		local p = math.Rand(0,1)
		particle:SetColor(math.floor(p * GetGlobalInt("corpse_color_r")), 
						  math.floor(p * GetGlobalInt("corpse_color_g")), 
						  math.floor(p * GetGlobalInt("corpse_color_b")))
		particle:VelocityDecay(true)
	end

	emitter:Finish()
end



