
AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )

include('shared.lua')

local controller = nil

ENT.tone = 255
ENT.mod = -30
ENT.myHealth = GetConVarNumber("pvar_sent_health")

function ENT:SpawnFunction(ply, tr)
	if (!tr.Hit) then return end
	
	local SpawnPos = tr.HitPos + tr.HitNormal * 16
	
	local ent = ents.Create("plague_control")
		ent:SetPos(SpawnPos)
	
	ent:SetModel("models/props_c17/canister_propane01a.mdl")
	ent.Entity:PhysicsInit(SOLID_VPHYSICS)
	ent.Entity:SetMoveType(MOVETYPE_VPHYSICS)
	ent.Entity:SetSolid(SOLID_VPHYSICS) 
	ent.Entity:SetUseType(SIMPLE_USE)
	
	local phys = ent.Entity:GetPhysicsObject()
		
	if (phys:IsValid()) then
		phys:Wake()
	end
	
	ent:Spawn()
	ent:Activate()
	
	controller = ent
	
	return ent
end

function ENT:Think()
	if(!SERVER) then return end
	if self.anti then
		local npcs = ents.FindByClass("npc_*")
		
		local out = true
		
		for k, npc in pairs(npcs) do
			if npc:IsOnFire() then
				out = false
				break
			end
		end
		
		if out then
			self.anti = nil
			self.Entity:Extinguish()
			self.myHealth = GetConVarNumber("pvar_sent_health")
		end
	else
		if GetGlobalInt("plague_active") == 1 then
			self.Entity:SetColor(self.tone,0,0,255)
			
			self.tone = self.tone + self.mod
			
			if self.tone < 0 || self.tone > 255 then
				self.mod = - self.mod
				self.tone = self.tone + 2*self.mod
			end
		else
			self.Entity:SetColor(0,255,0,255)
		end
	end
end

function ENT:Use(activator, caller)
	if GetGlobalInt("plague_sent_activetoggle")==0 then return end

	local curr = GetGlobalInt("plague_active")
	
	self.tone = 255
	self.mod = -30
	
	if curr == 1 then SetGlobalInt("plague_active", 0) 
	else SetGlobalInt("plague_active", 1)  end
	
	plagueUpdate()
end


function ENT:OnTakeDamage(dmg)
	if GetGlobalInt("plague_sent_antivirus") == 0 || GetGlobalInt("plague_active")==0 then return end
	
	self.myHealth = self.myHealth - dmg:GetDamage()
	if self.myHealth <= 0 && !self.anti then
		self:Ignite(10000,0)
		self.anti = true
		antivirus()
	end
end
